当前位置:论坛首页 > Linux面板 > 求助

【已解答】centos 8华为云的环境安装报错,整了一天了没出来

发表在 Linux面板4 天前 [复制链接] 1 35

求大神帮忙看看,都折腾好久了
出错了,面板运行时发生错误!面板运行时发生错误: 无法连接宝塔云端服务器,请刷新页面重试-3
REQUEST_DATE: 2022-05-14 21:45:20 PAN_VERSION: 7.9.0  OS_VERSION: CentOS  8.2.2004 x86_64(Py3.7.9) REMOTE_ADDR: 175.0.39.48 REQUEST_URI: POST /plugin?action=get_index_listREQUEST_FORM: {}  USER_AGENT: Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36Traceback (most recent call last):  File "class/pluginAuth.py", line 100, in panel.class.pluginAuth.Plugin.get_plugin_list  File "class/pluginAuth.py", line 174, in panel.class.pluginAuth.Plugin.__flush_plugin_auth  File "/www/server/panel/pyenv/lib/python3.7/json/__init__.py", line 348, in loads    return _default_decoder.decode(s)  File "/www/server/panel/pyenv/lib/python3.7/json/decoder.py", line 337, in decode    obj, end = self.raw_decode(s, idx=_w(s, 0).end())  File "/www/server/panel/pyenv/lib/python3.7/json/decoder.py", line 355, in raw_decode    raise JSONDecodeError("Expecting value", s, err.value) from Nonejson.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)During handling of the above exception, another exception occurred:Traceback (most recent call last):  File "class/pluginAuth.py", line 128, in panel.class.pluginAuth.Plugin.get_plugin_listpublic.PanelError: 面板运行时发生错误: 无法连接宝塔云端服务器,请刷新页面重试-2During handling of the above exception, another exception occurred:Traceback (most recent call last):  File "/www/server/panel/BTPanel/__init__.py", line 1715, in publicObject    return run_exec().run(toObject, defs, get)  File "/www/server/panel/BTPanel/__init__.py", line 1663, in run    result = getattr(toObject,get.action)(get)  File "class/panelPlugin.py", line 1302, in get_index_list    softList = self.get_cloud_list(get)['list']  File "class/panelPlugin.py", line 936, in get_cloud_list    softList = Plugin(False).get_plugin_list(force)  File "class/pluginAuth.py", line 133, in panel.class.pluginAuth.Plugin.get_plugin_listpublic.PanelError: 面板运行时发生错误: 无法连接宝塔云端服务器,请刷新页面重试-3
使用道具 举报 只看该作者 回复
发表于 3 天前 | 显示全部楼层
您好,Centos 8官方已于2021年12月31日以后停止Centos 8支持、转至Centos 8 Stream项目支持
详细说明:


https://www.bt.cn/bbs/thread-82931-1-1.html


因此Centos 8已经无法正常安装宝塔面板、请更换至Centos 7或Centos 8 Stream系统安装宝塔
*Centos 7 官方支持至2024年7月30日
*Centos 8 Stream 官方支持至2024年5月31日
操作前请做好数据备份,尽量能做快照就做快照
临时解决方案:使用了阿里云的官方旧镜像源,
  1. \cp -r /etc/yum.repos.d/ /yum.repos.d.bak
  2. rm -rf /etc/yum.repos.d/*
  3. curl -o /etc/yum.repos.d/CentOS-Base.repo https://mirrors.aliyun.com/repo/Centos-vault-8.5.2111.repo
  4. yum makecache
复制代码

这样就暂时可以装软件了,但是建议您尽快更换系统,面板系统兼容顺序:
面板兼容系统列表有:Centos7.x > Debian10 > Ubuntu 20.04 > Cenots 8 stream > Ubuntu 18.04 > 其它系统
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表